## oclgausscrack 1.3

=== Makefile ===
##
## Library Paths
##

OCL             := /opt/AMD-APP-SDK-v2.8-RC-lnx64

##
## Compiler paths
##

BIN             := .

CPP_LINUX_32    := gcc
CPP_LINUX_64    := gcc

CPP_WIN_32      := i686-w64-mingw32-gcc
CPP_WIN_64      := x86_64-w64-mingw32-gcc

DLL_WIN_32      := /usr/bin/i686-w64-mingw32-dlltool
DLL_WIN_64      := /usr/bin/x86_64-w64-mingw32-dlltool

##
## Compiler flags
##

CFLAGS          := -O2 -s -pipe -W -Wall -pedantic -std=c99 -I$(OCL)/include

CFLAGS_32       := -m32
CFLAGS_64       := -m64

CFLAGS_LINUX    := -DLINUX
CFLAGS_WIN      := -DWIN   -D_MSC_VER -D__MSVCRT__ -D__USE_MINGW_ANSI_STDIO=1

LFLAGS_LINUX    :=
LFLAGS_WIN      := -static-libgcc -L.

##
## Targets
##

all: linux win

clean:
	rm -f $(BIN)/*.bin $(BIN)/*.exe $(BIN)/*.a

linux:  oclGaussCrack32.bin oclGaussCrack64.bin gaussCombinator32.bin gaussCombinator64.bin gaussFilter32.bin gaussFilter64.bin
win:    libOpenCL.a libOpenCL64.a oclGaussCrack32.exe oclGaussCrack64.exe gaussCombinator32.exe gaussCombinator64.exe gaussFilter32.exe gaussFilter64.exe

libOpenCL.a:
	${DLL_WIN_32} -A -k -l libOpenCL.a   -d lib/OpenCL.def

libOpenCL64.a:
	${DLL_WIN_64} -A -k -l libOpenCL64.a -d lib/OpenCL64.def

oclGaussCrack32.bin: src/oclGaussCrack.c
	$(CPP_LINUX_32) $(CFLAGS) $(CFLAGS_32) $(CFLAGS_LINUX) -o $@ $^ $(LFLAGS_LINUX) -lOpenCL -L $(OCL)/lib/x86

oclGaussCrack64.bin: src/oclGaussCrack.c
	$(CPP_LINUX_64) $(CFLAGS) $(CFLAGS_64) $(CFLAGS_LINUX) -o $@ $^ $(LFLAGS_LINUX) -lOpenCL -L $(OCL)/lib/x86_64

oclGaussCrack32.exe: src/oclGaussCrack.c
	$(CPP_WIN_32)   $(CFLAGS) $(CFLAGS_32) $(CFLAGS_WIN)   -o $@ $^ $(LFLAGS_WIN)   -lOpenCL

oclGaussCrack64.exe: src/oclGaussCrack.c
	$(CPP_WIN_64)   $(CFLAGS) $(CFLAGS_64) $(CFLAGS_WIN)   -o $@ $^ $(LFLAGS_WIN)   -lOpenCL64

gaussCombinator32.bin: src/gaussCombinator.c
	$(CPP_LINUX_32) $(CFLAGS) $(CFLAGS_32) $(CFLAGS_LINUX) -o $@ $^ $(LFLAGS_LINUX)

gaussCombinator64.bin: src/gaussCombinator.c
	$(CPP_LINUX_64) $(CFLAGS) $(CFLAGS_64) $(CFLAGS_LINUX) -o $@ $^ $(LFLAGS_LINUX)

gaussCombinator32.exe: src/gaussCombinator.c
	$(CPP_WIN_32)   $(CFLAGS) $(CFLAGS_32) $(CFLAGS_WIN)   -o $@ $^ $(LFLAGS_WIN)

gaussCombinator64.exe: src/gaussCombinator.c
	$(CPP_WIN_64)   $(CFLAGS) $(CFLAGS_64) $(CFLAGS_WIN)   -o $@ $^ $(LFLAGS_WIN)

gaussFilter32.bin: src/gaussFilter.c
	$(CPP_LINUX_32) $(CFLAGS) $(CFLAGS_32) $(CFLAGS_LINUX) -o $@ $^ $(LFLAGS_LINUX)

gaussFilter64.bin: src/gaussFilter.c
	$(CPP_LINUX_64) $(CFLAGS) $(CFLAGS_64) $(CFLAGS_LINUX) -o $@ $^ $(LFLAGS_LINUX)

gaussFilter32.exe: src/gaussFilter.c
	$(CPP_WIN_32)   $(CFLAGS) $(CFLAGS_32) $(CFLAGS_WIN)   -o $@ $^ $(LFLAGS_WIN)

gaussFilter64.exe: src/gaussFilter.c
	$(CPP_WIN_64)   $(CFLAGS) $(CFLAGS_64) $(CFLAGS_WIN)   -o $@ $^ $(LFLAGS_WIN)

=== debian/changelog ===
oclgausscrack (1.3-1kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Dec 2020 15:53:09 +0100

oclgausscrack (1.3-1kali2) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 18:03:56 -0500

oclgausscrack (1.3-1kali1) kali; urgency=low

  * Changed to i386 and amd64 arches only

 -- Devon Kearns <dookie@kali.org>  Wed, 12 Jun 2013 16:15:40 -0600

oclgausscrack (1.3-1kali0) kali; urgency=low

  * Initial release (Closes: #0000087)  

 -- Devon Kearns <dookie@kali.org>  Wed, 12 Jun 2013 15:00:37 -0600

=== debian/control ===
Source: oclgausscrack
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/jsteube/oclGaussCrack
Vcs-Git: https://gitlab.com/kalilinux/packages/oclgausscrack.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/oclgausscrack

Package: oclgausscrack
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cracks verification hashes of the Gauss Virus
 The goal of the program is to crack the verification hash of the encrypted 
 payload of the Gauss Virus.
 .
    Uses OpenCL to accelerate the 10k MD5 loop
    Uses optimizations also used in oclHashcat-plus for maximum performance
    Able to handle multi-GPU setups (of the same type)
    VCL (Virtual CL) v1.18 compatible
    Open Source
    Supports integration into distributed computing environments
    Supports resume

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean:

DEB_HOST_ARCH           ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),amd64)
        combinatorbin=gaussCombinator64.bin
	filterbin=gaussFilter64.bin
	oclbin=oclGaussCrack64.bin
else
        combinatorbin=gaussCombinator32.bin
        filterbin=gaussFilter32.bin
        oclbin=oclGaussCrack32.bin

endif

override_dh_auto_build:

override_dh_auto_install:
	dh_installdirs
	install $(combinatorbin) $(CURDIR)/debian/oclgausscrack/usr/share/oclgausscrack/gaussCombinator.bin
	install $(filterbin) $(CURDIR)/debian/oclgausscrack/usr/share/oclgausscrack/gaussFilter.bin
	install $(oclbin) $(CURDIR)/debian/oclgausscrack/usr/share/oclgausscrack/oclGaussCrack.bin

override_dh_shlibdeps:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%oclgausscrack-$1.tar.gz%" \
    https://github.com/jsteube/oclGaussCrack/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
